%define		_name		sylpheed
%define		branch		claws
%define		cvs		b
%def_disable 	debug
Name:	 	%_name-%branch
Version:	1.0.4
Release:	alt1.1

Summary:	The bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast e-mail client.	 
License: 	GPL
Group: 		Networking/Mail

Url:		http://%name.sourceforge.net

Source:		%_name-%branch-%version.tar.bz2
Source1:	README.ALT.%branch
Patch0:		%name-alt-procheader-fix.patch
Patch1:		%name-alt-filters-conv.patch
Patch2:		%name-alt-ldap-fix.patch
Patch3:		%name-alt-google-search.patch
Patch4:		%name-alt-sf-search.patch
Patch5:		%name-alt-multi-search.patch
#Patch6:		%name-alt-0.9.12b-reply-button.patch
#Patch7:		%name-0.9.12b-alt-reply-crash-fix.patch
#Patch8:		%name-%version-CAN-2005-0667-fix.patch

BuildPreReq:	autoconf-common cvs gettext-tools %_bindir/freedesktop2menu.pl

BuildRequires:  XFree86-devel XFree86-libs aspell flex gcc-c++ gcc-g77 glib-devel gtk+-devel hostinfo imlib-devel libaspell-devel libgpgme-compat-devel libldap-devel libssl-devel libstdc++-devel pkgconfig gdk-pixbuf-devel libstartup-notification-devel

%description
Sylpheed is an e-mail client (and news reader), based on GTK+, aiming for
- Quick response
- Graceful, and sophisticated interface
- Easy configuration, intuitive operation
- Abundant features
The appearance and interface are similar to some popular e-mail 
clients for Windows, such as Outlook Express, Becky!, and Datula. 
The interface is also designed to emulate the mailers on Emacsen, 
and almost all commands are accessible with the keyboard.

The messages are managed in MH format, and you'll be able to use 
it together with another mailer based on MH format (like Mew). 
You can also utilize fetchmail and/or procmail, and external 
programs on receiving (like inc or imget).

Sylpheed-Claws is distributed under the GPL. 

%package        devel
Summary:        Development environment for %name.
Group:          Development/C

%description 	devel
This package contains the header files and libraries for building program which
use %name.

%package	plugin-dillo
Summary:	dillo browser plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	dillo

%description	plugin-dillo
dillo browser plugin for %name.

%package	plugin-imageview
Summary:	image viewer plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version

%description	plugin-imageview
image viewer plugin for %name.

%package	plugin-spamassassin
Summary:	spamassassin plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	spamassassin

%description	plugin-spamassassin
spamassassin plugin for %name.

%package	plugin-trayicon
Summary:	trayicon plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version

%description	plugin-trayicon
trayicon plugin for %name.

%package	plugin-clamav
Summary:	clamav plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	clamav
BuildRequires:	libclamav-devel

%description	plugin-clamav
clamav plugin for %name.

%package	plugin-pgpmime
Summary:	pgpmime plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	clamav

%description	plugin-pgpmime
pgpmime plugin for %name.

%package	tools
Summary:	additional tools for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:       python = %__python_version
BuildRequires:  python = %__python_version
BuildRequires:  python%{__python_version}(encodings)
BuildPreReq:	perl-MIME-tools
BuildPreReq:	perl-Text-Iconv
BuildPreReq:	perl-URI
BuildPreReq:	perl-libwww


%description	tools
additional tools for %name.

%prep
#%setup -q -n  %_name-%branch
%setup -q
%__mv -f %_name.desktop %name.desktop
%__mv -f %_name.png %name.png
%__subst "s,mozilla,/usr/bin/url_handler.sh," src/common/defs.h 
#%__subst "s,PACKAGE=%_name,PACKAGE=%name," configure.ac 
%__subst "s,%_name,%name," %name.desktop
%__subst "s,Sylpheed,Sylpheed Claws," %name.desktop
%__subst "s,\-\*\-helvetica,-rfx-helvetica," src/prefs_common.c
%__subst "s,\#\!/usr/bin/python2.2,\#\!/usr/bin/python," tools/vcard2xml.py 
%__subst "s,\#\!/usr/bin/perl,\#\!/usr/bin/perl -w," tools/OOo2sylpheed.pl
%__subst "s,sylpheed,sylpheed-claws," tools/OOo2sylpheed.pl
%__subst "s,sylpheed\\.,sylpheed-claws\\.," Makefile.am
%__subst "s,sylpheed\\.,sylpheed-claws\\.," Makefile.in

#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1

%build
%_bindir/autopoint
%_bindir/aclocal -I m4
%_bindir/libtoolize --force --copy
%_bindir/autoheader
%_bindir/automake --add-missing --foreign --copy
%_bindir/autoconf

#%__subst "s,sylpheed\\.,sylpheed-claws\\.," Makefile.am
#%__subst "s,sylpheed\\.,sylpheed-claws\\.," Makefile.in

%configure 	--enable-aspell \
		--enable-clamav-plugin \
		--enable-dillo-viewer-plugin \
		--enable-gpgme \
		--enable-ldap \
		--enable-openssl \
		--enable-trayicon-plugin \
		--enable-spamassassin-plugin \
		--with-config-dir=.%name \
		--program-suffix=-%branch \
		%if_enabled debug
		--enable-crash-dialog
		%else
		--disable-crash-dialog
		%endif
%make_build
%make -C tools

%install
#%__install -p -m644 %SOURCE1 $RPM_BUILD_DIR/%_name-%branch/README.ALT-koi8r
%__install -p -m644 %SOURCE1 $RPM_BUILD_DIR/%name-%version/README.ALT-koi8r
%make DESTDIR=%buildroot install
%make -C tools install
%__cp -va  tools %buildroot%_datadir/%name/
%__rm -vf  %buildroot%_datadir/%name/tools/README*
%__rm -vf  %buildroot%_datadir/%name/tools/Makefile*
%__mkdir_p %buildroot%_datadir/applications
%__install -p -m644 %name.desktop %buildroot%_datadir/applications
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Networking/Mail"  \
	%buildroot%_datadir/applications/%name.desktop \
	%buildroot%_menudir/%name

%__mkdir_p %buildroot/%_iconsdir
%__install -p -m644 %name.png %buildroot/%_iconsdir/%name.png

#%__mv -f %buildroot%_bindir/%_name %buildroot%_bindir/%name
#%__mv -f %buildroot%_man1dir/%_name.1 %buildroot%_man1dir/%name.1

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog* COPYING INSTALL NEWS README* TODO*
%_bindir/%name
%_man1dir/%name.1.gz
%_datadir/%name/faq/*
%_datadir/%name/manual/*
%_datadir/applications/%name.desktop
%_menudir/%name
%_iconsdir/%name.png
#%_datadir/gnome/apps/Internet/%name.desktop
#%_datadir/pixmaps/%name.png
    

%files devel
%_includedir/%name/*
%_libdir/pkgconfig/%name.pc

%files plugin-dillo
%_libdir/%name/plugins/dillo_viewer.so

%files plugin-imageview
%_libdir/%name/plugins/image_viewer.so

%files plugin-spamassassin
%_libdir/%name/plugins/spamassassin.so
%_libdir/%name/plugins/spamassassin_gtk.so

%files plugin-trayicon
%_libdir/%name/plugins/trayicon.so

%files plugin-clamav
%_libdir/%name/plugins/clamav_plugin.so
%_libdir/%name/plugins/clamav_plugin_gtk.so

%files plugin-pgpmime
%_libdir/%name/plugins/pgpmime.so

%files tools
%doc tools/README*
%_datadir/%name/tools/*

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon May 23 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.4-alt1.1
-  missing buildrequires added (perl-libwww).

* Tue Apr 12 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.4-alt1
-  remove patches 6,7,8 (upstream fix).

* Thu Mar 24 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.3-alt1.2
-  CAN-2005-0667 fixed.

* Mon Mar 14 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.3-alt1.1
-  some spec changes (according to python packaging policy).

* Fri Mar 11 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.3-alt1
-  1.0.3.

* Thu Feb 10 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.1-alt1
-  1.0.1.

* Wed Feb 02 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.0-alt1.1
-  6003 fixed.

* Tue Jan 18 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.0.0-alt1
-  1.0.0.

* Tue Dec 07 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.13-alt1
-  0.9.13.
-  patch6 removed (upstream fix).

* Wed Nov 17 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12b-alt2
-  reply button crash fix.

* Wed Oct 20 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12b-alt1.2
- fixed 5275.

* Tue Sep 28 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12b-alt1
-  build for sisyphus.

* Fri Sep 24 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs102-alt1.1
-  remove invalid patch and fix date bug.

* Thu Sep 23 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs102-alt1
-  cvs102. segfault on exit fixed.

* Fri Sep 17 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs100-alt1
-  lots of bugfixes (see Changelog.claws).

* Wed Sep 08 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs97-alt1
-  new pgpmime plugin;
-  lots of bugfixes;
-  basic drag'n'drop support in addressbook.

* Mon Sep 06 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs93-alt1
-  0.9.12cvs93.
-  pgpmime plugin added in default branch.

* Fri Aug 13 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs60-alt1
-  0.9.12cvs60.
-  context menu for trayicon plugin.

* Tue Aug 10 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs56-alt1
-  back to gtk+1.
-  enable debug by default.

* Tue Aug 10 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs55.3-alt1
-  0.9.12cvs55.3.

* Mon Aug 09 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs51.1-alt1
-  0.9.12cvs51.1
-  bugfixes. see Changelog-gtk2.claws.

* Wed Aug 04 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs40.2-alt1
-  0.9.12cvs40.2
-  gtk+2.

* Mon Aug 02 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs40-alt1
-  0.9.12cvs40

* Thu Jul 22 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs34-alt1
-  0.9.12cvs34
-  added script for searching on sourceforge.net.
-  multiwebsearch.pl patch. 

* Mon Jul 19 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs32-alt2
-  bugfixes. see Changelog.claws.
-  filter_conv.pl patch. now filter settings should be imported correctly.
-  google_search.pl patch. now should be search more than single word.
-  OOo2sylpheed.pl patch. "s,sylpheed,sylpheed-claws,".

* Fri Jul 16 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs24-alt1
-  0.9.12cvs24.
-  bugfix. Disable GPG signature check during folder move and scan.

* Thu Jul 15 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs23-alt1
-  0.9.12cvs23. bugfixes.
-  tools added. see in %_datadir/%name/tools.
-  completely fixed bug with ldap addressbook search in non-utf8 locales (10x to vserge@ for testing and bugreporting).
-  default fonts bug fixed (10x to vserge@ for testing and bugreporting).
-  added README.ALT (10x to vserge).

* Tue Jul 13 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12cvs19-alt1
-  0.9.12cvs18. bugfixes. see Changelog.claws.

* Tue Jul 06 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12-alt3
-  partially fixed ldap search bug.

* Wed Jun 30 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12-alt2
-  procheader.c patch (fix crash on invalid date format).
-  pgpmime.c patch (fix crash on EMFILE error).	

* Tue Jun 29 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.12-alt1
-  0.9.12
-  some spec changes (menu).
-  clamav plugin build fix (requires libclamav-devel). 

* Mon Jun 28 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.9.11-alt1
-  initial build.


